RADOS(8)

NAME
rados - rados object storage utility

SYNOPSIS
rados [ -m monaddr ] [ mkpool | rmpool foo ] [ -p | --pool
pool ] [ -s | --snap snap ] [ -i infile ] [ -o outfile ]
command ...

DESCRIPTION

rados is a utility for interacting with a Ceph object storage cluster (RADOS), part of the Ceph distributed file system.

OPTIONS

-p pool, --pool pool
    Interact with the given pool. Required by most commands.

-s snap, --snap snap
    Read from the given pool snapshot. Valid for all pool-specific read operations.

-i infile
    will specify an input file to be passed along as a payload with the command to the monitor cluster. This is only used for specific monitor commands.

-o outfile
    will write any payload returned by the monitor cluster with its reply to outfile. Only specific monitor commands (e.g. osd getmap) return a payload.

-c ceph.conf, --conf=ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

-m monaddress[:port]
    Connect to specified monitor (instead of looking through ceph.conf).

GLOBAL COMMANDS

lspools
    List object pools

df  Show utilization statistics, including disk usage (bytes) and object counts, over the entire system and broken down by pool.

mkpool foo
    Create a pool with name foo.

rmpool foo
    Delete the pool foo (and all its data)

POOL SPECIFIC COMMANDS

get name outfile
    Read object name from the cluster and write it to outfile.

put name infile
    Write object name to the cluster with contents from infile.

rm name
    Remove object name.

ls outfile
    List objects in given pool and write to outfile.

lssnap
    List snapshots for given pool.

mksnap foo
    Create pool snapshot named foo.

rmsnap foo
    Remove pool snapshot names foo.

bench seconds mode [ -b objsize ] [ -t threads ]
    Benchmark for seconds. The mode can be write or read. The default object size is 4 KB, and the default number of simulated threads (parallel writes) is 16.

EXAMPLES

To view cluster utilization:

rados df

To get a list object in pool foo sent to stdout:

rados -p foo ls -

To write an object:

rados -p foo put myobject blah.txt

To create a snapshot:

rados -p foo mksnap mysnap

To delete the object:

rados -p foo rm myobject

To read a previously snapshotted version of an object:

rados -p foo -s mysnap get myobject blah.txt.old

AVAILABILITY

rados is part of the Ceph distributed file system. Please refer to the Ceph wiki at http://ceph.newdream.net/wiki for more information.

SEE ALSO

ceph(8)

COPYRIGHT
2011, New Dream Network